%define		package	Debug
%define		php_min_version 5.3.9
%include	/usr/lib/rpm/macros.php
Summary:	Symfony2 Debug Component
Name:		php-symfony2-Debug
Version:	2.7.5
Release:	1
License:	MIT
Group:		Development/Languages/PHP
Source0:	https://github.com/symfony/%{package}/archive/v%{version}/%{package}-%{version}.tar.gz
# Source0-md5:	2410de066d5a6e34f583fa0c28b46659
URL:		http://symfony.com/doc/2.7/components/debug/index.html
BuildRequires:	phpab
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.610
Requires:	php(core) >= %{php_min_version}
Requires:	php(spl)
Requires:	php-pear >= 4:1.3.10
Requires:	php-psr-Log >= 1.0
Suggests:	php(symfony_debug)
Suggests:	php-symfony2-HttpKernel >= 2.6.2
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
The Debug Component provides tools to ease debugging PHP code.

%prep
%setup -q -n debug-%{version}

# native extension. to be built from separate .spec
rm -r Resources/ext

%build
phpab -n -e '*/Tests/*' -o autoloader.php .

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}
cp -a *.php */ $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}
rm -r $RPM_BUILD_ROOT%{php_pear_dir}/Symfony/Component/%{package}/Tests

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc CHANGELOG.md LICENSE README.md
%dir %{php_pear_dir}/Symfony/Component/Debug
%{php_pear_dir}/Symfony/Component/Debug/*.php
%{php_pear_dir}/Symfony/Component/Debug/Exception
%{php_pear_dir}/Symfony/Component/Debug/FatalErrorHandler
%changelog
* Sun Oct 04 2015 PLD Linux Team <feedback@pld-linux.org>
- For complete changelog see: http://git.pld-linux.org/?p=packages/php-symfony2-Debug.git;a=log;h=auto/th/php-symfony2-Debug-2.7.5-1

* Fri Oct 02 2015 Elan Ruusamäe <glen@delfi.ee> 1a34bc1
- up to 2.7.5

* Fri Aug 07 2015 Elan Ruusamäe <glen@delfi.ee> 43654a6
- suggest symfony_debug extension

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> 87c5886
- do not install native extension

* Thu Aug 06 2015 Elan Ruusamäe <glen@delfi.ee> f6d0750
- up to 2.7.3-lts

* Thu Aug 07 2014 Elan Ruusamäe <glen@delfi.ee> 40965ed
- use autoloader.php as autoload bootstrap

* Mon Aug 04 2014 Elan Ruusamäe <glen@delfi.ee> 1e07323
- up to 2.4.8, use github source

* Thu Jul 17 2014 Elan Ruusamäe <glen@delfi.ee> 6466eca
- up to 2.4.4

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> 988817f
- update url

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> 540d0ce
- update suggests

* Fri Apr 11 2014 Elan Ruusamäe <glen@delfi.ee> efad5df
- up to 2.4.3

* Mon Sep 23 2013 Elan Ruusamäe <glen@delfi.ee> 6cf57bd
- new, version 2.3.4

